package com.xunhong.erp.turbo.biz.domain.gateway;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xunhong.erp.turbo.api.biz.dto.cmd.CostItemCreateCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.CostItemDestroyCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.CostItemDragCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.CostItemUpdateCmd;
import com.xunhong.erp.turbo.api.biz.dto.qry.CostItemListQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.CostItemPageQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.CostItemShowQry;
import com.xunhong.erp.turbo.biz.domain.entity.CostItem;

import java.util.List;

/**
 * @author shenyifei
 */
public interface CostItemGateway {
	CostItem save(CostItemCreateCmd costItemCreateCmd);

	IPage<CostItem> page(CostItemPageQry costItemPageQry);

	List<CostItem> list(CostItemListQry costItemListQry);

	CostItem update(CostItemUpdateCmd costItemUpdateCmd);

	CostItem show(CostItemShowQry costItemShowQry);

	void destroy(CostItemDestroyCmd costItemDestroyCmd);

	void drag(CostItemDragCmd costItemDragCmd);
}
